package com.njcn.harmonic.pojo.po.report;

public enum EnumPass {
    MAX(1, "使用最大值与国标限值比较，判断指标是否合格"),
    MIN(2, "使用最小值与国标限值比较，判断指标是否合格"),
    MEAN(3, "使用平均值与国标限值比较，判断指标是否合格"),
    CP95(4, "使用CP95值与国标限值比较，判断指标是否合格"),
    DEFAULT(5, "不作比较"),
    PASS(0, "合格"),
    FPYVALUE(98, "合格率限值"),
    FPYV(1, "UHARM_0_OVERTIME"),
    FPYI(2, "IHARM_0_OVERTIME"),
    FPYVOLTAGE(3, "VOLTAGE_DEV_OVERTIME"),
    FPYTHREE(4, "UBALANCE_OVERTIME"),
    FPYTHDV(5, "UABERRANCE_OVERTIME"),
    FPYRATE(6, "FREQ_DEV_OVERTIME"),
    FPYFLICKER(7, "FLICKER_OVERTIME"),
    NOPASS(-1, "不合格");

    private Integer code;
    private String describe;

    EnumPass(Integer code, String describe) {
        this.code = code;
        this.describe = describe;
    }

    public Integer getCode() {
        return code;
    }

    public String getDescribe() {
        return describe;
    }
}
